Index: src/main/java/project/fmo/app/projcetfmo/Model/AdminKorisnik.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/AdminKorisnik.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/AdminKorisnik.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,5 +1,5 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 
 import java.util.Objects;
@@ -8,5 +8,5 @@
 @Table(name = "admin_korisnik", schema = "project", catalog = "db_202223z_va_prj_fmo")
 public class AdminKorisnik {
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+
     @Id
     @Column(name = "id_korisnik")
Index: src/main/java/project/fmo/app/projcetfmo/Model/Cena.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/Cena.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/Cena.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,5 +1,5 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 
 import java.sql.Date;
@@ -7,11 +7,10 @@
 
 @Entity
+@Table(schema = "project", name = "cena",  catalog = "db_202223z_va_prj_fmo")
 @IdClass(CenaPK.class)
 public class Cena {
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Id
     @Column(name = "id_produkt")
-    private int idProdukt;
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    private int  idProdukt;
     @Id
     @Column(name = "cena_od")
@@ -23,4 +22,18 @@
     @Column(name = "iznos")
     private int iznos;
+
+    public Cena(){}
+    public Cena(int idProdukt, Date cenaOd, Date cenaDo, int iznos) {
+        this.idProdukt = idProdukt;
+        this.cenaOd = cenaOd;
+        this.cenaDo = cenaDo;
+        this.iznos = iznos;
+    }
+
+    public Cena(int idProdukt, Date cenaOd, int iznos) {
+        this.idProdukt = idProdukt;
+        this.cenaOd = cenaOd;
+        this.iznos = iznos;
+    }
 
     public int getIdProdukt() {
Index: src/main/java/project/fmo/app/projcetfmo/Model/CenaPK.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/CenaPK.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/CenaPK.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,8 +1,5 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.Column;
-import jakarta.persistence.GeneratedValue;
-import jakarta.persistence.GenerationType;
-import jakarta.persistence.Id;
+import javax.persistence.*;
 
 import java.io.Serializable;
@@ -13,10 +10,14 @@
     @Column(name = "id_produkt")
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private int idProdukt;
     @Column(name = "cena_od")
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private Date cenaOd;
+
+    public CenaPK (){}
+    public CenaPK(Integer idProdukt, Date cenaOd) {
+        this.idProdukt = idProdukt;
+        this.cenaOd = cenaOd;
+    }
 
     public int getIdProdukt() {
Index: src/main/java/project/fmo/app/projcetfmo/Model/Dostava.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/Dostava.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/Dostava.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,5 +1,7 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import project.fmo.app.projcetfmo.Service.impl.DostavaServiceImpl;
+
+import javax.persistence.*;
 
 import java.sql.Date;
@@ -7,12 +9,12 @@
 
 @Entity
+@Table(schema = "project", name = "dostava",  catalog = "db_202223z_va_prj_fmo")
 public class Dostava {
-    @Basic
-    @Column(name = "id_korisnik")
-    private int idKorisnik;
-    @Basic
-    @Column(name = "id_naracka")
-    private int idNaracka;
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    @ManyToOne
+    @JoinColumn(name = "id_korisnik")
+    private Dostavuvac dostavuvac;
+    @OneToOne
+    @JoinColumn(name = "id_naracka")
+    private Naracka naracka;
     @Id
     @Column(name = "id_dostava")
@@ -25,18 +27,28 @@
     private String status;
 
+    public Dostava (){}
+
+    public Dostava(Dostavuvac dostavuvac, Naracka naracka, int idDostava, Date datum, String status) {
+        this.dostavuvac = dostavuvac;
+        this.naracka = naracka;
+        this.idDostava = idDostava;
+        this.datum = datum;
+        this.status = status;
+    }
+
     public int getIdKorisnik() {
-        return idKorisnik;
+        return dostavuvac.getIdKorisnik();
     }
 
     public void setIdKorisnik(int idKorisnik) {
-        this.idKorisnik = idKorisnik;
+        this.dostavuvac.setIdKorisnik(idKorisnik);
     }
 
     public int getIdNaracka() {
-        return idNaracka;
+        return naracka.getIdNaracka();
     }
 
     public void setIdNaracka(int idNaracka) {
-        this.idNaracka = idNaracka;
+        this.naracka.setIdNaracka(idNaracka);
     }
 
@@ -70,10 +82,10 @@
         if (o == null || getClass() != o.getClass()) return false;
         Dostava dostava = (Dostava) o;
-        return idKorisnik == dostava.idKorisnik && idNaracka == dostava.idNaracka && idDostava == dostava.idDostava && Objects.equals(datum, dostava.datum) && Objects.equals(status, dostava.status);
+        return dostavuvac == dostava.dostavuvac && naracka == dostava.naracka && idDostava == dostava.idDostava && Objects.equals(datum, dostava.datum) && Objects.equals(status, dostava.status);
     }
 
     @Override
     public int hashCode() {
-        return Objects.hash(idKorisnik, idNaracka, idDostava, datum, status);
+        return Objects.hash(dostavuvac, naracka, idDostava, datum, status);
     }
 }
Index: src/main/java/project/fmo/app/projcetfmo/Model/Dostavuvac.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/Dostavuvac.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/Dostavuvac.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,14 +1,17 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 
 import java.util.Objects;
 
 @Entity
+@Table(schema = "project", name = "dostavuvac",  catalog = "db_202223z_va_prj_fmo")
 public class Dostavuvac {
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+
     @Id
     @Column(name = "id_korisnik")
     private int idKorisnik;
+
+    public Dostavuvac(){}
 
     public int getIdKorisnik() {
Index: src/main/java/project/fmo/app/projcetfmo/Model/Kategorija.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/Kategorija.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/Kategorija.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,9 +1,10 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 
 import java.util.Objects;
 
 @Entity
+@Table(schema = "project", name = "kategorija",  catalog = "db_202223z_va_prj_fmo")
 public class Kategorija {
     @GeneratedValue(strategy = GenerationType.IDENTITY)
@@ -14,4 +15,10 @@
     @Column(name = "ime")
     private String ime;
+
+
+    public Kategorija(){}
+    public Kategorija(String ime) {
+        this.ime = ime;
+    }
 
     public int getIdKategorija() {
Index: src/main/java/project/fmo/app/projcetfmo/Model/Korisnik.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/Korisnik.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/Korisnik.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,11 +1,17 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
 
+import org.springframework.security.core.GrantedAuthority;
+import org.springframework.security.core.userdetails.UserDetails;
+
+import javax.persistence.*;
 import java.sql.Timestamp;
+import java.util.Collection;
+import java.util.Collections;
 import java.util.Objects;
 
 @Entity
-public class Korisnik {
+@Table(schema = "project", name = "korisnik",  catalog = "db_202223z_va_prj_fmo")
+public class Korisnik implements UserDetails {
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Id
@@ -21,4 +27,14 @@
     @Column(name = "kreiran_na_datum")
     private Timestamp kreiranNaDatum;
+
+
+    public Korisnik(){
+
+    }
+    public Korisnik(String imePrezime, String passwordKorisnik, Timestamp kreiranNaDatum) {
+        this.imePrezime = imePrezime;
+        this.passwordKorisnik = passwordKorisnik;
+        this.kreiranNaDatum = kreiranNaDatum;
+    }
 
     public int getIdKorisnik() {
@@ -66,3 +82,38 @@
         return Objects.hash(idKorisnik, imePrezime, passwordKorisnik, kreiranNaDatum);
     }
+
+    @Override
+    public Collection<? extends GrantedAuthority> getAuthorities() {
+        return null;
+    }
+
+    @Override
+    public String getPassword() {
+        return null;
+    }
+
+    @Override
+    public String getUsername() {
+        return null;
+    }
+
+    @Override
+    public boolean isAccountNonExpired() {
+        return false;
+    }
+
+    @Override
+    public boolean isAccountNonLocked() {
+        return false;
+    }
+
+    @Override
+    public boolean isCredentialsNonExpired() {
+        return false;
+    }
+
+    @Override
+    public boolean isEnabled() {
+        return false;
+    }
 }
Index: src/main/java/project/fmo/app/projcetfmo/Model/Kupuvac.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/Kupuvac.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/Kupuvac.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,11 +1,12 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
 
+import javax.persistence.*;
 import java.util.Objects;
 
 @Entity
+@Table(schema = "project", name = "kupuvac",  catalog = "db_202223z_va_prj_fmo")
 public class Kupuvac {
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+
     @Id
     @Column(name = "id_korisnik")
@@ -14,4 +15,12 @@
     @Column(name = "mail")
     private String mail;
+
+    public Kupuvac(int idKorisnik, String mail) {
+        this.idKorisnik=idKorisnik;
+        this.mail=mail;
+    }
+
+    public Kupuvac() {
+    }
 
     public int getIdKorisnik() {
Index: src/main/java/project/fmo/app/projcetfmo/Model/Magacin.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/Magacin.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/Magacin.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,11 +1,12 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 
 import java.util.Objects;
 
 @Entity
+@Table(schema = "project", name = "magacin",  catalog = "db_202223z_va_prj_fmo")
 public class Magacin {
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+
     @Id
     @Column(name = "id_magacin")
Index: src/main/java/project/fmo/app/projcetfmo/Model/Magacioner.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/Magacioner.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/Magacioner.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,17 +1,17 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 
 import java.util.Objects;
 
 @Entity
+@Table(schema = "project", name = "magacioner",  catalog = "db_202223z_va_prj_fmo")
 public class Magacioner {
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Id
     @Column(name = "id_korisnik")
     private int idKorisnik;
-    @Basic
-    @Column(name = "id_magacin")
-    private int idMagacin;
+    @ManyToOne
+    @JoinColumn(name = "id_magacin")
+    private Magacin magacin;
 
     public int getIdKorisnik() {
@@ -23,10 +23,10 @@
     }
 
-    public int getIdMagacin() {
-        return idMagacin;
+    public Magacin getMagacin() {
+        return magacin;
     }
 
-    public void setIdMagacin(int idMagacin) {
-        this.idMagacin = idMagacin;
+    public void setMagacin(Magacin magacin) {
+        this.magacin = magacin;
     }
 
@@ -36,10 +36,10 @@
         if (o == null || getClass() != o.getClass()) return false;
         Magacioner that = (Magacioner) o;
-        return idKorisnik == that.idKorisnik && idMagacin == that.idMagacin;
+        return idKorisnik == that.idKorisnik && magacin == that.magacin;
     }
 
     @Override
     public int hashCode() {
-        return Objects.hash(idKorisnik, idMagacin);
+        return Objects.hash(idKorisnik, magacin);
     }
 }
Index: src/main/java/project/fmo/app/projcetfmo/Model/Naracka.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/Naracka.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/Naracka.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,5 +1,5 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 
 import java.sql.Date;
@@ -7,4 +7,5 @@
 
 @Entity
+@Table(schema = "project", name = "naracka",  catalog = "db_202223z_va_prj_fmo")
 public class Naracka {
     @GeneratedValue(strategy = GenerationType.IDENTITY)
@@ -24,7 +25,17 @@
     @Column(name = "adresa")
     private String adresa;
-    @Basic
-    @Column(name = "id_korisnik")
-    private int idKorisnik;
+    @ManyToOne
+    @JoinColumn(name = "id_korisnik")
+    private Kupuvac kupuvac;
+
+    public Naracka(){}
+
+    public Naracka(int vkupnoSuma, Date datum, String status, String adresa, Kupuvac kupuvac) {
+        this.vkupnoSuma = vkupnoSuma;
+        this.datum = datum;
+        this.status = status;
+        this.adresa = adresa;
+        this.kupuvac = kupuvac;
+    }
 
     public int getIdNaracka() {
@@ -69,9 +80,9 @@
 
     public int getIdKorisnik() {
-        return idKorisnik;
+        return kupuvac.getIdKorisnik();
     }
 
     public void setIdKorisnik(int idKorisnik) {
-        this.idKorisnik = idKorisnik;
+        this.kupuvac.setIdKorisnik(idKorisnik);
     }
 
@@ -81,10 +92,10 @@
         if (o == null || getClass() != o.getClass()) return false;
         Naracka naracka = (Naracka) o;
-        return idNaracka == naracka.idNaracka && vkupnoSuma == naracka.vkupnoSuma && idKorisnik == naracka.idKorisnik && Objects.equals(datum, naracka.datum) && Objects.equals(status, naracka.status) && Objects.equals(adresa, naracka.adresa);
+        return idNaracka == naracka.idNaracka && vkupnoSuma == naracka.vkupnoSuma && kupuvac == naracka.kupuvac && Objects.equals(datum, naracka.datum) && Objects.equals(status, naracka.status) && Objects.equals(adresa, naracka.adresa);
     }
 
     @Override
     public int hashCode() {
-        return Objects.hash(idNaracka, vkupnoSuma, datum, status, adresa, idKorisnik);
+        return Objects.hash(idNaracka, vkupnoSuma, datum, status, adresa, kupuvac);
     }
 }
Index: src/main/java/project/fmo/app/projcetfmo/Model/NarackaSodrziProdukt.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/NarackaSodrziProdukt.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/NarackaSodrziProdukt.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,5 +1,5 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 
 import java.util.Objects;
@@ -9,9 +9,7 @@
 @IdClass(NarackaSodrziProduktPK.class)
 public class NarackaSodrziProdukt {
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Id
     @Column(name = "id_produkt")
     private int idProdukt;
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Id
     @Column(name = "id_naracka")
@@ -23,4 +21,13 @@
     @Column(name = "cena")
     private int cena;
+
+    public NarackaSodrziProdukt(){}
+
+    public NarackaSodrziProdukt(int idProdukt, int idNaracka, int kolicina, int cena) {
+        this.idProdukt = idProdukt;
+        this.idNaracka = idNaracka;
+        this.kolicina = kolicina;
+        this.cena = cena;
+    }
 
     public int getIdProdukt() {
Index: src/main/java/project/fmo/app/projcetfmo/Model/NarackaSodrziProduktPK.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/NarackaSodrziProduktPK.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/NarackaSodrziProduktPK.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,8 +1,6 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.Column;
-import jakarta.persistence.GeneratedValue;
-import jakarta.persistence.GenerationType;
-import jakarta.persistence.Id;
+import javax.persistence.*;
+
 
 import java.io.Serializable;
@@ -12,10 +10,10 @@
     @Column(name = "id_produkt")
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private int idProdukt;
     @Column(name = "id_naracka")
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private int idNaracka;
+
+    public NarackaSodrziProduktPK(){}
 
     public int getIdProdukt() {
Index: src/main/java/project/fmo/app/projcetfmo/Model/Produkt.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/Produkt.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/Produkt.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,9 +1,11 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
+import org.springframework.boot.autoconfigure.kafka.KafkaProperties;
 
 import java.util.Objects;
 
 @Entity
+@Table(schema = "project", name = "produkt",  catalog = "db_202223z_va_prj_fmo")
 public class Produkt {
     @GeneratedValue(strategy = GenerationType.IDENTITY)
@@ -17,7 +19,16 @@
     @Column(name = "opis")
     private String opis;
-    @Basic
-    @Column(name = "id_korisnik")
-    private int idKorisnik;
+
+    @ManyToOne
+    @JoinColumn(name = "id_korisnik")
+    private AdminKorisnik adminKorisnik;
+
+    public Produkt(){}
+
+    public Produkt(String ime, String opis, AdminKorisnik adminKorisnik) {
+        this.ime = ime;
+        this.opis = opis;
+        this.adminKorisnik = adminKorisnik;
+    }
 
     public int getIdProdukt() {
@@ -46,9 +57,9 @@
 
     public int getIdKorisnik() {
-        return idKorisnik;
+        return adminKorisnik.getIdKorisnik();
     }
 
-    public void setIdKorisnik(int idKorisnik) {
-        this.idKorisnik = idKorisnik;
+    public void setIdKorisnik(AdminKorisnik idKorisnik) {
+        this.adminKorisnik = idKorisnik;
     }
 
@@ -58,10 +69,10 @@
         if (o == null || getClass() != o.getClass()) return false;
         Produkt produkt = (Produkt) o;
-        return idProdukt == produkt.idProdukt && idKorisnik == produkt.idKorisnik && Objects.equals(ime, produkt.ime) && Objects.equals(opis, produkt.opis);
+        return idProdukt == produkt.idProdukt && adminKorisnik == produkt.adminKorisnik && Objects.equals(ime, produkt.ime) && Objects.equals(opis, produkt.opis);
     }
 
     @Override
     public int hashCode() {
-        return Objects.hash(idProdukt, ime, opis, idKorisnik);
+        return Objects.hash(idProdukt, ime, opis, adminKorisnik);
     }
 }
Index: src/main/java/project/fmo/app/projcetfmo/Model/ProduktEOdKategorija.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/ProduktEOdKategorija.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/ProduktEOdKategorija.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,5 +1,5 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 
 import java.util.Objects;
@@ -9,12 +9,23 @@
 @IdClass(ProduktEOdKategorijaPK.class)
 public class ProduktEOdKategorija {
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Id
     @Column(name = "id_produkt")
     private int idProdukt;
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Id
     @Column(name = "id_kategorija")
     private int idKategorija;
+
+    public ProduktEOdKategorija(int idProdukt, int idKategorija) {
+        this.idProdukt = idProdukt;
+        this.idKategorija = idKategorija;
+    }
+
+    public ProduktEOdKategorija() {
+    }
+
+    public ProduktEOdKategorija(ProduktEOdKategorijaPK produktEOdKategorijaPK) {
+        this.idKategorija= produktEOdKategorijaPK.getIdKategorija();
+        this.idProdukt=produktEOdKategorijaPK.getIdProdukt();
+    }
 
     public int getIdProdukt() {
Index: src/main/java/project/fmo/app/projcetfmo/Model/ProduktEOdKategorijaPK.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/ProduktEOdKategorijaPK.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/ProduktEOdKategorijaPK.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,8 +1,6 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.Column;
-import jakarta.persistence.GeneratedValue;
-import jakarta.persistence.GenerationType;
-import jakarta.persistence.Id;
+import javax.persistence.*;
+
 
 import java.io.Serializable;
@@ -12,10 +10,16 @@
     @Column(name = "id_produkt")
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private int idProdukt;
     @Column(name = "id_kategorija")
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+
     private int idKategorija;
+
+
+    public ProduktEOdKategorijaPK(){}
+    public ProduktEOdKategorijaPK(int idProdukt, int idKategorija) {
+        this.idKategorija=idKategorija;
+        this.idProdukt=idProdukt;
+    }
 
     public int getIdProdukt() {
Index: src/main/java/project/fmo/app/projcetfmo/Model/ProduktEVoMagacin.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/ProduktEVoMagacin.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/ProduktEVoMagacin.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,5 +1,5 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 
 import java.util.Objects;
Index: src/main/java/project/fmo/app/projcetfmo/Model/ProduktEVoMagacinPK.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/ProduktEVoMagacinPK.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/ProduktEVoMagacinPK.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,8 +1,6 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.Column;
-import jakarta.persistence.GeneratedValue;
-import jakarta.persistence.GenerationType;
-import jakarta.persistence.Id;
+import javax.persistence.*;
+
 
 import java.io.Serializable;
Index: src/main/java/project/fmo/app/projcetfmo/Model/Telefonskibroj.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/Telefonskibroj.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/Telefonskibroj.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,19 +1,27 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 
 import java.util.Objects;
 
 @Entity
+@Table(schema = "project", name = "telefonskibroj",  catalog = "db_202223z_va_prj_fmo")
 @IdClass(TelefonskibrojPK.class)
 public class Telefonskibroj {
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+
     @Id
     @Column(name = "id_korisnik")
     private int idKorisnik;
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+
     @Id
     @Column(name = "telefonski_broj")
     private String telefonskiBroj;
+
+    public Telefonskibroj(){}
+
+    public Telefonskibroj(TelefonskibrojPK telefonskibrojPK) {
+        this.idKorisnik = telefonskibrojPK.getIdKorisnik();
+        this.telefonskiBroj = telefonskibrojPK.getTelefonskiBroj();
+    }
 
     public int getIdKorisnik() {
Index: src/main/java/project/fmo/app/projcetfmo/Model/TelefonskibrojPK.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/TelefonskibrojPK.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/TelefonskibrojPK.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,8 +1,5 @@
-package model;
+package project.fmo.app.projcetfmo.Model;
 
-import jakarta.persistence.Column;
-import jakarta.persistence.GeneratedValue;
-import jakarta.persistence.GenerationType;
-import jakarta.persistence.Id;
+import javax.persistence.*;
 
 import java.io.Serializable;
@@ -12,10 +9,17 @@
     @Column(name = "id_korisnik")
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private int idKorisnik;
     @Column(name = "telefonski_broj")
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private String telefonskiBroj;
+
+
+    public TelefonskibrojPK(){
+
+    }
+    public TelefonskibrojPK(int idKorisnik, String telefonskiBroj) {
+        this.idKorisnik = idKorisnik;
+        this.telefonskiBroj = telefonskiBroj;
+    }
 
     public int getIdKorisnik() {
Index: src/main/java/project/fmo/app/projcetfmo/Model/exception/InvalidUserCredentialsException.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Model/exception/InvalidUserCredentialsException.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Model/exception/InvalidUserCredentialsException.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,8 @@
-package project.fmo.app.projcetfmo.Model.exception;public class InvalidUserCredentialsException {
+package project.fmo.app.projcetfmo.Model.exception;
+
+public class InvalidUserCredentialsException extends RuntimeException {
+
+    public InvalidUserCredentialsException() {
+        super("Invalid user credentials exception");
+    }
 }
Index: src/main/java/project/fmo/app/projcetfmo/Repository/AdminRepository.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Repository/AdminRepository.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Repository/AdminRepository.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,14 @@
-package project.fmo.app.projcetfmo.Repository;public interface AdminRepository {
+package project.fmo.app.projcetfmo.Repository;
+
+import org.apache.catalina.User;
+import org.springframework.data.domain.Page;
+import org.springframework.data.domain.Pageable;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.data.jpa.repository.Query;
+import project.fmo.app.projcetfmo.Model.AdminKorisnik;
+
+import java.util.Collection;
+
+public interface AdminRepository extends JpaRepository<AdminKorisnik, Integer> {
+
 }
Index: src/main/java/project/fmo/app/projcetfmo/Repository/CenaRepository.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Repository/CenaRepository.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Repository/CenaRepository.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,10 @@
-package project.fmo.app.projcetfmo.Repository;public interface CenaRepository {
+package project.fmo.app.projcetfmo.Repository;
+
+import org.springframework.data.jpa.repository.JpaRepository;
+import project.fmo.app.projcetfmo.Model.Cena;
+import project.fmo.app.projcetfmo.Model.CenaPK;
+
+public interface CenaRepository extends JpaRepository<Cena, CenaPK> {
+    Cena findByIdProdukt(Integer idProdukt);
+    void deleteByIdProdukt(Integer idProdukt);
 }
Index: src/main/java/project/fmo/app/projcetfmo/Repository/DostavaRepository.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Repository/DostavaRepository.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Repository/DostavaRepository.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,12 @@
-package project.fmo.app.projcetfmo.Repository;public interface DostavaRepository {
+package project.fmo.app.projcetfmo.Repository;
+
+import org.springframework.data.jpa.repository.JpaRepository;
+import project.fmo.app.projcetfmo.Model.Dostava;
+import project.fmo.app.projcetfmo.Model.Dostavuvac;
+
+import java.util.List;
+
+public interface DostavaRepository extends JpaRepository<Dostava, Integer> {
+    List<Dostava> findByDostavuvacAndStatus(Dostavuvac dostavuvac, String status);
+    List<Dostava> findByStatus(String status);
 }
Index: src/main/java/project/fmo/app/projcetfmo/Repository/DostavuvacRepository.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Repository/DostavuvacRepository.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Repository/DostavuvacRepository.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,7 @@
-package project.fmo.app.projcetfmo.Repository;public interface DostavuvacRepository {
+package project.fmo.app.projcetfmo.Repository;
+
+import org.springframework.data.jpa.repository.JpaRepository;
+import project.fmo.app.projcetfmo.Model.Dostavuvac;
+
+public interface DostavuvacRepository extends JpaRepository<Dostavuvac, Integer> {
 }
